%if 0%{?el7}
%define dist .el7
%endif

Name:           perl-Net-Packet
Version:        3.28
Release:        8%{?dist}
Summary:        a framework to easily send and receive frames from layer 2 to layer 7

Group:          Development/Libraries
License:        Artistic
URL:            http://search.cpan.org/~gomor/Net-Packet-%{version}/
Source0:        http://search.cpan.org/CPAN/authors/id/G/GO/GOMOR/Net-Packet-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(ExtUtils::MakeMaker)
#BuildRequires:	perl(Net::Libdnet)
BuildRequires:	perl(Net::IPv4Addr)
BuildRequires:	perl(Net::IPv6Addr)
BuildRequires:	perl(Net::Pcap)
BuildRequires:	perl(Bit::Vector)
#BuildRequires:	perl(Net::Write)
BuildRequires:  perl(Test)
BuildRequires:  perl(Time::HiRes)

BuildRequires:  perl-Net-Write
BuildRequires:  perl-Net-Libdnet
BuildRequires:  perl-Class-Gomor

%if 0%{?fedora} >= 23
BuildRequires:  perl(Socket6)
%endif

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%{?perl_default_filter}

%description
This module is a unified framework to craft, send and receive packets at layers 2, 3, 4 and 7.

Basically, you forge each layer of a frame (Net::Packet::IPv4 for layer 3, Net::Packet::TCP for layer 4; for example), and pack all of this into a Net::Packet::Frame object. Then, you can send the frame to the network, and receive its response easily, because the response is automatically searched for and matched against the request (not implemented for all layers).

If you want some layer 2, 3 or 4 protocol encoding/decoding to be added, just ask, and give a corresponding .pcap file ;). You can also subscribe to netpacket-users@gomor.org by sumply sending an e-mail requesting for it.

You should study various pod found in all classes, example files found in examples directory that come with this tarball, and also tests in t directory.

%prep
%setup -q -n Net-Packet-%{version}


%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{!?_licensedir:%global license %%doc}
%license LICENSE*
%{perl_vendorlib}/Net/Packet*
%{_mandir}/man3/*

%changelog
* Sat Sep 03 2016 momo-i <webmaster@momo-i.org> - 3.28-8
- Add Provides for fedora 25

* Thu Mar 03 2016 momo-i <webmaster@momo-i.org> - 3.28-7
- Add BuildRequires perl(Test)

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 3.28-6
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 3.28-5
- Rebuilt for fc23

* Fri Aug 07 2015 momo-i <webmaster@momo-i.org> - 3.28-4
- Add BuildRequires for fc23

* Fri Jul 24 2015 momo-i <webmaster@momo-i.org> - 3.28-3
- Update to 3.28

* Thu Apr 16 2015 momo-i <webmaster@momo-i.org> - 3.27-3
- Rebuilt for fc22

* Fri Mar  8 2013 momo-i <webmaster@momo-i.org> 3.27-1
- Initial rpm release.
